> [!warning]
> This is a work in progress and not stable.

# Lali

Lali is a simple anime lists manager that stores your lists locally, but with the ability to use online services (e.g AniList) as source.

![Lali](https://codeberg.org/vyn/lali/raw/branch/main/images/lali.png)

*Lali is an acronym for **L**ocal **A**nime **Li**sts*

## Build from source

### Requirements

- GCC >= 14.2.1
- CMake >= 3.30.2
- Ninja (or Make but you will need to adapt the commands)
- Git

### Steps

Fetch and setup the repository:
```
git clone https://codeberg.org/vyn/lali.git
cd lali
git submodule update --init --recursive
```

To build:
```
cmake -DCMAKE_BUILD_TYPE=Release -S . -B ./build -G Ninja
cd build
ninja
```
Then you should have a `lali` executable in the `build` directory you are currently in.

## Contributing

Feel free to make suggestions and report issues, but I do **not** accept contributions (pull requests).

## License

Copyright (C) Vyn 2024

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, under version 3 of the License only.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program in the LICENSE file.
If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
